/** 
 * main.css
 * 
 * 1. General HTML tags
 * 2. Masthead area
 * 3. Main content and sidebar
 * 4. Footer
 * 5. Media queries for responsive layout
 * 6. Accessibility helpers
 * 
 */

/*********************************************************************
 * 1. General HTML tags
 *
 */

 
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');

* {
	box-sizing: border-box; 
}

body, html {
	width: 100%;
	height: 100%;
}

body {
	padding: 0;
	margin: 0 auto; 
	max-width: 1600px; 
	background: black;
	color: white; 
}

body, td, input[type=text], textarea {
	font-family: 'Inter', serif;
	font-size: 105%; 
	line-height: 1.8em;
}

input[type=text], textarea {
	color: black; 
}

img {
	max-width: 100%; 
}

h2 {
	font-weight: normal;
}

h3 {
	border-top: 1px solid #eee; 
	padding-top: 1em;
	color: #777; 
}

a {
	color: white;
	text-decoration: none;
	border-bottom: 1px solid #ccc; 
}

blockquote {
	margin-left: 0;
	padding-left: 1.5em;
	padding-right: 2em; 
	border-left: 4px solid #ddd; 
	font-style: italic; 
	color: #777; 
}

pre, code {
	background: #eee; 
	border: 1px solid #ddd; 
}

pre {
	font-size: 14px; 
	line-height: 1.4em;
	padding: 1em;
	border-left: 4px solid #ddd; 
}

/*********************************************************************
 * 2. Search
 *
 */

form.search {
	margin: auto;
	display: flex;
	flex-direction: row;
	width: 400px;
}
	form.search input {
		flex-grow: 2;
		margin: auto;
		display: block;
		padding: 0.5em 1em;
		border: 1px solid black; 
		color: black;
		border-radius: 2em;
	}

	form.search button {
		border:0;
		background:black;
		color:white;
		padding: 5px;
		width: 80px;
		height: 40px;
		margin-left: -85px;
		margin-top: 5px;
		border-radius: 99px;

	}

/*********************************************************************
 * 3. Main content and sidebar
 *
 */

#main {
	padding-top: 1em; 
	margin-top: 1em; 
	clear: both; 
}

#content {
	width: 100%; 
	float: left;
	padding-bottom: 2em; 
}


.nav {
	margin-left: 0;
	padding-left: 0;
	list-style: none; 
}
	.nav .nav {
		padding-left: 1.5em;
		list-style: disc;
	}
	.nav li {
		margin: 1em 0;
	}

	.nav-tree li {
		margin-top: 0;
		margin-bottom: 0;
	}

	.nav a {
		font-weight: bold;
	}

	.nav-tree li a {
		color: #777; 
	}

	.nav .current > a {
		color: #333; 
	}

.align_left {
	/* for images placed in rich text editor */ 
	float: left;
	margin: 0 1em 0.5em 0; 
	position: relative;
	top: 0.5em;
	max-width: 50%; 
}

.align_right {
	/* for images placed in rich text editor */ 
	float: right;
	margin: 0 0 0.5em 1em;
	max-width: 50%; 
}

.align_center {
	/* for images placed in rich text editor */ 
	display: block;
	margin: 1em auto; 
	position: relative;
	top: 0.5em;
}

figure {
	display: table;
	width: 1px;
	margin: 1em 0;
}

figure img {
	display: table-row;
	margin-bottom: 0.5em;
}

figure figcaption {
	display: table-row;
	font-size: smaller;
	color: #777;
	line-height: 1.4em;
}

/*********************************************************************
 * 4. Footer
 *
 */

#footer {
	clear: both;
	font-size: 80%; 
}




/*********************************************************************
 * 6. Accessibility helpers
 *
 */

/* Hide visually, but remain approachable for screenreader */

.visually-hidden {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	white-space: nowrap;
	overflow: hidden;
	clip: rect(1px, 1px, 1px, 1px);
	border: 0;
}

/* Show bypass link on hover */

.element-focusable:focus {
	clip: auto;
	overflow: visible;
	height: auto;
}

/* Sample styling for bypass link */

.bypass-to-main:focus {
	top: 0;
	left: 0;
	width: 100%;
	height: 40px;
	line-height: 40px;
	text-align: center;
	background: #333;
	color: #fff;
}


/*********************************************************************
 * 7. SPAM
 *
 */

 #wrap_sendemail {
	display: none;
 }

 /*********************************************************************
 * 8. Custom elements
 *
 */

 h1 {
	font-weight: bold;
	font-size: 2.4em;
	line-height: 1.1em;
 }

 h1.home-title {
	font-size: 3em;
	max-width: 700px;
	margin: auto;
	text-align: center;
	margin-bottom: 10px;
 }

.logo {
	float: left;
	margin-left: 24px;
	margin-top: 24px;
	width: 125px;
	height: 25px;
	background-image: url('logo.png');
	background-size: contain;
	background-repeat: no-repeat;
}


a.add-map-btn {
	display: auto;
	float:right;
	color: white;
	border-radius: "50%";
	border: 1px solid white;
	padding: 5px 20px;
	float: right;
	background: transparent;
	border-radius: 99px;
	margin-right: 24px;
	margin-top: 16px;
	transition: background-color 0.1s ease-out;
}

a.add-map-btn:hover {
	background-color: rgba(255,255,255,0.1);
}

a.open-google-maps-btn {
	color: rgb(1, 24, 33);
	border: 0;
	border-radius: 8px;
	padding: 18px 20px 18px 20px;
	background: #A3BAEC;
	font-weight: bold;
	width: 260px;
	display: block;
	margin-top: 10px;
}

a.open-google-maps-btn img {
	height: 30px;
	width: auto;
	vertical-align: top;
	padding-right: 10px;
	padding-bottom: 3px;
}

a.open-google-maps-btn:hover{
	background: #8aa3d9;
}

form#add-map ul {
	padding: 0;
}

form#add-map li {
list-style: none;
margin: 0 0 10px 0;
}

form#add-map button {
	display: auto;
	font-size: 1.1em;
	color: white;
	border-radius: "50%";
	border: 1px solid white;
	margin-top: 20px;
	padding: 10px 20px;
	background: transparent;
	border-radius: 99px;
	transition: background-color 0.1s ease-out;
}

form#add-map button:hover {
	background-color: rgba(255,255,255,0.1);
}

p.disclaimer {
	font-size: 90%;
}

.bg-image  {
	position: absolute;
	width: 100%;
  	height: 400px;
	margin: 0;
	background-position: center;
	z-index: -1;
	background-repeat: no-repeat;
	background-size: cover;
}

.bg-image-home {
	background-image: url('city-map.jpg');
}

.bg-fade {
	position: absolute;
	width: 100%;
	height: 500px;
	margin: 0;
	z-index: -1;
	background-image: linear-gradient(to bottom, #000000b5 0%, #000000 100%);
}


#content {
	padding: 5%;
}

#content p {
	max-width: 700px;
}

a.admin-edit-btn {
	position: absolute;
	left: 70px;
	top: 0;
	font-size: 10px;
	background-color: #333;
}

.profile-pic {
	background-image: url('anonymous-explorer.jpg');
	background-size: contain;
	width: 50px;
	height: 50px;
	float: left;
	border-radius: 50%;
	margin-right: 10px;
	border: 2px solid white;
}

p.author {
	opacity: 0.7;
	font-size: 90%;
	padding-top: 10px;
	font-weight: 400;
}

ul.map-list {
	list-style: none;
	margin: 20px 0 0;
	padding: 0;
}

ul.map-list li {
	padding: 12px;
	margin: 0 0 8px 0;
	background-color: #252828;
	border-radius: 4px;
	transition: background-color 0.1s ease-out;
}

ul.map-list li:hover {
	background-color: #303434;
}

ul.map-list li a {
	text-decoration: none;
	border-bottom: 0;
	margin-right: 10px;
}



/*********************************************************************
 * 5. Media queries for responsive layout
 *
 */

 @media only screen and (max-width: 550px) {
	/* mobile layout */ 

	body, td, textarea {
		font-size: 100%; 
	}

	h1.home-title {
		font-size: 2.2em;
	}	

	form.search {
		float: none; 
		width: 100%; 
	}

	a.open-google-maps-btn {
		width: 100%;
	}

}

@media only screen and (min-width: 1200px) {
	/* extra-wide desktop layout */ 
	
	/* body, td, textarea {
		font-size: 115%; 
	} */
}
